Gda.SqlCase – Gda-6.0 Reference Manual

# SqlCase

## Object Hierarchy:

## Description:

[ CCode ( copy_function = "g_boxed_copy" , free_function = "g_boxed_free" , type_id = "gda_sql_case_get_type ()" ) ]
[ Compact ]
public class SqlCase
Namespace: Gda
Package: Gda-6.0

## Content:

### Creation methods:

- public SqlCase (SqlAnyPart parent)

### Methods:

- public SqlCase copy ()
- public void free ()
- public string serialize ()

### Fields:

- public unowned SqlAnyPart any
- public unowned SqlExpr base_expr
- public unowned SqlExpr else_expr
- public unowned SList<void*> then_expr_list
- public unowned SList<void*> when_expr_list